Package org.apache.cxf.databinding.stax

## Class StaxDataBindingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
    - - org.apache.cxf.databinding.stax.StaxDataBindingInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class StaxDataBindingInterceptor
      extends AbstractInDatabindingInterceptor

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor

      `NO_VALIDATE_PARTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaxDataBindingInterceptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleMessage​(Message message)` | Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor

      `findMessagePart, getBindingOperationInfo, getDataReader, getDataReader, getMessageInfo, getMessageInfo, getNodeDataReader, getXMLStreamReader, setDataReaderValidation, setMessage, setOperationSchemaValidation, shouldValidate, supportsDataReader`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaxDataBindingInterceptor

          public StaxDataBindingInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.